# Replica of logarithmic chart from New York Times
#Saturday, April 25, 2020 -- 3 PM PST
#URL: https://www.nytimes.com/interactive/2020/03/21/upshot/coronavirus-deaths-by-country.html?searchResultPosition=7

#plot all columns from original nyt daily count dataset (cumulative_deaths_world)
plot(cdw_daily)

#plot lines; for X use all_values__days;
#for Y use all_values__value;
#scale type: log on Y axis
plot(cdw_daily$all_values__days, cdw_daily$all_values__value, log="y", type="l", xlim=c(0,100), ylim=c(25,50000))

#add country names (abbreviations) from separte file where only the last day data
#was used. for X use same day count value; for Y use last day value
#for print (text) use "key" (name of column for country abbreviations)
#use offset values for X and Y to detach country abbrev.s from ends of lines
text(cdw_4.25$all_values__days+1.5, cdw_4.25$all_values__value+1, cdw_4.25$key, cex=0.3, log="y", xlim=c(0,100), ylim=c(25,50000))

#add last value text to country abbreviation (over-write using additional offset in X)
text(cdw_4.25$all_values__days+4, cdw_4.25$all_values__value+1, cdw_4.25$all_values__value, cex=0.3, log="y", xlim=c(0,100), ylim=c(25,50000))

##########
# repeat all the above but x-lim only to 60 days as China curve has been flat
#and it started about 30 days earlier
plot(cdw_daily$all_values__days, cdw_daily$all_values__value, log="y", type="l", xlim=c(0,60), ylim=c(25,50000))

#add country name (abbreviation) but adjust offset for X
text(cdw_4.25$all_values__days+1, cdw_4.25$all_values__value+1, cdw_4.25$key, cex=0.3, log="y", xlim=c(0,100), ylim=c(25,50000))

#add last day value (total deaths) -- adjust X offset
text(cdw_4.25$all_values__days+2.5, cdw_4.25$all_values__value+1, cdw_4.25$all_values__value, cex=0.3, log="y", xlim=c(0,100), ylim=c(25,50000))

# save plot
#in Illustrator, shift all lines down so that all lines start at origin (25 deaths)
#this could probably be done in R using the offset value given in the main dataset file
#also in Illustrator, highlight some lines/countries and add diagonal lines starting at
#origin to indicate trends (doubling every 2 days, every 3 days, etc.)

summary(cdw_daily)

